Subject: bug#52198: closed (Re: [bug#52198] [PATCH] gnu: ghc: Fix build on i686-linux.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 30 Nov 2021 15:58:02 +0000

Your bug report

#52198: [core-updates-frozen] [PATCH] gnu: ghc: Fix build on i686-linux.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52198: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52198
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#52198] [PATCH] gnu: ghc: Fix build on i686-linux.
From: Lars-Dominik Braun <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked]
Date: Tue, 30 Nov 2021 16:57:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi zimoun,

I locally built [email-masked] and this test indeed fails without/succeeds
with the patch. There’s also an issue over at the GHC tracker
about this failure, so I’m assuming it’s safe to skip:
https://gitlab.haskell.org/ghc/ghc/-/issues/17300

I pushed this patch to core-updates-frozen as
afc4945d44aeb6750b980abddbfda66f6ccb6b18. Thank you!

Cheers,
Lars

Subject: [PATCH] gnu: ghc: Fix build on i686-linux.
From: zimoun <[email-masked]>
To: [email-masked]
Cc: zimoun <[email-masked]>
Date: Tue, 30 Nov 2021 12:14:27 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/haskell.scm (ghc-8.10)[arguments]<#:phases>: Fix failing test.
---
 gnu/packages/haskell.scm | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/haskell.scm b/gnu/packages/haskell.scm
index 69a806e635..d3db023f08 100644
--- a/gnu/packages/haskell.scm
+++ b/gnu/packages/haskell.scm
@@ -22,6 +22,7 @@
 ;;; Copyright © 2020 Marius Bakke <[email-masked]>
 ;;; Copyright © 2021 Matthew James Kraai <[email-masked]>
 ;;; Copyright © 2021 Xinglu Chen <[email-masked]>
+;;; Copyright © 2021 Simon Tournier <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -711,12 +712,18 @@ (define-public ghc-8.10
                  (("\\]\\), " all)
                   (string-append all "expect_broken(0)], ")))))
            ;; TODO: Turn this into an undconditional patch on the next rebuild.
-           ,@(if (string=? "i686-linux" (%current-system))
+           ,@(if (string-prefix? "i686" (or (%current-target-system)
+                                                  (%current-system)))
               '((add-after 'skip-more-tests 'skip-failing-tests-i686
                  (lambda _
                    (substitute* '("testsuite/tests/codeGen/should_compile/all.T")
                      (("(test\\('T15155l', )when\\(unregisterised\\(\\), skip\\)" all before)
-                      (string-append before "when(arch('i386'), skip)"))))))
+                      (string-append before "when(arch('i386'), skip)")))
+                   ;; Unexpected failures:
+                   ;;    quasiquotation/T14028.run  T14028 [bad stderr] (dyn)
+                   (substitute* '("testsuite/tests/quasiquotation/all.T")
+                     (("unless\\(config.have_ext_interp, skip\\),")
+                      "unless(config.have_ext_interp, skip), when(arch('i386'), skip),")))))
               '())))))
     (native-search-paths (list (search-path-specification
                                 (variable "GHC_PACKAGE_PATH")

base-commit: f22dfba53032c59fb260173143abf0e4e9a4f1e1
-- 
2.33.1